Package com.pixelmed.network

# Class ApplicationEntityConfigurationDialog

java.lang.Object
com.pixelmed.network.ApplicationEntity
com.pixelmed.network.ApplicationEntityConfigurationDialog

public class ApplicationEntityConfigurationDialog extends ApplicationEntity

This class implements a dialog for users to enter DICOM AE network configuration parameters.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected JTextField`
`dicomAETitleField`
`protected JTextField`
`hostnameField`
`protected String`
`localName`
`protected JTextField`
`localNameField`
`protected JTextField`
`portField`
`protected ResourceBundle`
`resourceBundle`
`protected static String`
`resourceBundleName`

### Fields inherited from class com.pixelmed.network.ApplicationEntity

`dicomAETitle, presentationAddress, primaryDeviceType, queryModel`

## Constructor Summary

Constructors
Constructor
Description
`ApplicationEntityConfigurationDialog()`
Create new AE information.
`ApplicationEntityConfigurationDialog(Component parent)`
Create new AE information.
`ApplicationEntityConfigurationDialog(Component parent, String localName)`
Create new AE information.
`ApplicationEntityConfigurationDialog(Component parent, String localName, ApplicationEntity ae)`
Configure AE information.
`ApplicationEntityConfigurationDialog(String localName, ApplicationEntity ae)`
Configure AE information.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doCommonConstructorStuff(Component parent)`
`String`
`getLocalName()`
`static boolean`
`isValidAETitle(String aet)`
`static boolean`
`isValidLocalName(String localName)`
`static void`
`main(String[] arg)`
Main method for testing.

### Methods inherited from class com.pixelmed.network.ApplicationEntity

`equals, getDicomAETitle, getPresentationAddress, getPrimaryDeviceType, getQueryModel, setPresentationAddress, setPrimaryDeviceType, setQueryModel, toString`

### Methods inherited from class java.lang.Object

`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### resourceBundleName

protected static String resourceBundleName

### resourceBundle

protected ResourceBundle resourceBundle

### localName

protected String localName

### localNameField

protected JTextField localNameField

### dicomAETitleField

protected JTextField dicomAETitleField

### hostnameField

protected JTextField hostnameField

### portField

protected JTextField portField

## Constructor Details

### ApplicationEntityConfigurationDialog

public ApplicationEntityConfigurationDialog(Component parent, String localName, ApplicationEntity ae)

Configure AE information.

Parameters:
  `parent` - the parent component (JFrame or JDialog) on which the new dialog is centered, may be null in which case centered on the screen
  `localName` - the local name for the AE
  `ae` - the current information whose contents are to be replaced with updated information

### ApplicationEntityConfigurationDialog

public ApplicationEntityConfigurationDialog(String localName, ApplicationEntity ae)

Configure AE information.

Parameters:
  `localName` - the local name for the AE
  `ae` - the current information whose contents are to be replaced with updated information

### ApplicationEntityConfigurationDialog

public ApplicationEntityConfigurationDialog(Component parent, String localName)

Create new AE information.

Parameters:
  `parent` - the parent component (JFrame or JDialog) on which the new dialog is centered, may be null in which case centered on the screen
  `localName` - the local name for the AE

### ApplicationEntityConfigurationDialog

public ApplicationEntityConfigurationDialog(Component parent)

Create new AE information.

Parameters:
  `parent` - the parent component (JFrame or JDialog) on which the new dialog is centered, may be null in which case centered on the screen

### ApplicationEntityConfigurationDialog

public ApplicationEntityConfigurationDialog()

Create new AE information.

## Method Details

### getLocalName

public String getLocalName()

### isValidLocalName

public static boolean isValidLocalName(String localName)

### isValidAETitle

public static boolean isValidAETitle(String aet)

### doCommonConstructorStuff

protected void doCommonConstructorStuff(Component parent)

### main

public static void main(String[] arg)

Main method for testing.

Parameters:
  `arg` - array of zero strings - no command line arguments are expected